<%- include('partials/header.ejs') %>

<!-- content start -->
<div class="main">
    <div class="d-flex head">
        <h2 class="heading">Contact :-</h2>
    </div>
    <div class="content">
        <form id="form">
            <div class = "row" >
            <div class="col-12 col-lg-12">
                <div class="mb-3">
                    <label>Content : -</label>
                    <textarea name="content" id="editor">
                        <%= content %> 
                    </textarea>
                    <!-- <small class="form-text"></small> -->
                </div>
                <button type="submit" class="btn btn-info mt-3 pull-right">Save</button>
            </div>
    </div>
</div>
</form>
</div>
<div>

    <%- include ('partials/footer.ejs') %>
    <script src="/ckeditor/ckeditor.js"></script>
    <script src="/ck.js"></script>
    <script src="/getFormData.js"></script>
    <script src="/timepicker.js"></script>
    <script>
        activeSideBar('contact');

        const form = $('#form');

        form.on('submit', submitHandler)

        function submitHandler(e) {
            e.preventDefault()

            // PREPARE FORM DATA
            // var formData = {
            //     newpassword: form.serializeArray()[0].value
            // };

            var formData = getFormData($("#form"));

            // DO POST
            $.ajax({
                type: "POST",
                contentType: "application/json",
                url: "contact",
                data: formData,
            }).done(res => {
                if (res == 'success') {
                    // alert('Password updated successfully');
                    window.location.reload();
                } else {
                    alert(res);
                }
            });
        }
    </script> 